Issue 121625 (profile-caused-crash) - Tracking issue for AOO 3.4 startup related crashes
Summary: Tracking issue for AOO 3.4 startup related crashes
Status: CLOSED FIXED
Alias: profile-caused-crash
Product: General
Classification: Code
Component: code (show other issues)
Version: 3.4.1
Hardware: All All
: P2 Normal (vote)
Target Milestone: 4.0.0
Assignee: Oliver-Rainer Wittmann
QA Contact:
URL:
Keywords:
: 116964 120025 120068 120227 120337 120362 120540 120728 120980 121149 121203 121345 121594 121629 121662 121756 121778 121783 122296 (view as issue list)
Depends on:
Blocks: 120013 120886 118217 120068 120154 120227 120728 120980 121203 121229 121309 121592 121594 121629 121673
  Show dependency treegraph
 
Reported: 2013-01-15 09:46 UTC by hdu@apache.org
Modified: 2017-04-26 20:50 UTC (History)
24 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Windows Vista is affected too (18.59 KB, application/vnd.oasis.opendocument.text)
2013-02-13 10:45 UTC, Joep Frensen
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2013-01-15 09:46:13 UTC
This issue is for tracking the mysterious crashes that seem to happen a couple of seconds after starting OpenOffice. These issues is that they are usually quite light on the details but they are so frequent as to point to a really bad problem.

The scenario seems to happen especially on WinXP and seems to be solved by disabling the update service, by deleting the user profile and by downgrading from IE9 to IE8.
Comment 1 hdu@apache.org 2013-01-15 09:59:38 UTC
There are hints that the problem is related to the update service:
- the stack mentioning updchk.dll (http://de.openoffice.info/viewtopic.php?f=3&t=48659#p178132 and http://www.justanswer.com/computer/5dao5-when-start-open-office-unsaved-document.html) 
- disabling the update service seems to fix it (http://forum.openoffice.org/en/forum/viewtopic.php?f=15&t=55912&start=30#p258626 and http://forum.openoffice.org/en/forum/viewtopic.php?f=15&t=58275)
similar crash happens with OOo3.3 if IE9 is installed (https://issues.apache.org/ooo/show_bug.cgi?id=117907)
- Stephan Bergmann mentioned in http://ooo-forums.apache.org/en/forum/viewtopic.php?t=55017&p=242599#p242632 a very interesting observation regarding InternetQueryOption() that could point to the root cause
Comment 2 Oliver-Rainer Wittmann 2013-01-15 10:08:24 UTC
CC myself
Comment 3 hdu@apache.org 2013-01-15 10:40:07 UTC
Adding a few more related issues to the "blocked by" list.
Bug 118246 also mentions "Updates for extensions available" before the crash.
Comment 4 Rob Weir 2013-02-02 02:09:02 UTC
*** Issue 121149 has been marked as a duplicate of this issue. ***
Comment 5 Rob Weir 2013-02-13 01:56:38 UTC
*** Issue 120728 has been marked as a duplicate of this issue. ***
Comment 6 Joep Frensen 2013-02-13 10:45:58 UTC
Created attachment 80268 [details]
Windows Vista is affected too

This bug appears in Windows Vista TOO! See attached document. It is a bug that makes this version of OO hard to use if you need a document soon. It is ONLY seen (by me) with the FIRST document opened in an OO session.
Comment 7 Oliver-Rainer Wittmann 2013-02-15 11:14:09 UTC
I was able to reproduce crashes of AOO 3.4 and AOO 3.4.1 which are upgrades of a former OOo 3.3 installation.

The problem is caused by the OOo 3.3 bundled extensions - namely three dictionaries - which are not correctly migrated. The AOO 3.4/3.4.1 installation process more or less "removes" the intrinsic bundled extensions. Only their folders (found in the installation folder) and the extension database entries (found in the user profile as Berkeley DBs) are left. The extension database entries are imported into the new extension database format. Thus, regarding these bundled extensions the state is inconsistent.
The crashes are triggered when the extensions are accessed in order to check for updates. The check for extension updates can be performed manually or is triggered by the automatic check for an application update, if the check for an application update is configured respectively.

The problem persists even, if the user profile has been renamed/removed. This is causes by the still existing bundled extension folders. These folders "let the office think" that such bundled extensions are available. Thus corresponding extension database entries are created during the startup after the user profile had been renamed/removed. This results more or less in the same inconsistent state as above.

A possible workaround is to remove the following files from the user profile:
- $USERPROFILE/3/user/extensions/bundled/extensions.pmap 
- $USERPROFILE/3/user/extensions/bundled/extensions.db, if it exists.
Comment 8 Oliver-Rainer Wittmann 2013-02-15 12:07:09 UTC
The C++ internal root cause of the crashes I observed is that certain functions/methods accessing extensions do not handle thrown C++ exception.

Thus, I will commit a patch which will just catch these C++ exceptions.
Comment 9 SVN Robot 2013-02-15 13:28:08 UTC
"orw" committed SVN revision 1446574 into trunk:
#121625# - method <ExtensionManager::getExtensionsWithSameId(..)> - catch cer...
Comment 10 Rob Weir 2013-02-15 19:35:00 UTC
*** Issue 121756 has been marked as a duplicate of this issue. ***
Comment 11 Oliver-Rainer Wittmann 2013-02-18 09:16:49 UTC
*** Issue 121783 has been marked as a duplicate of this issue. ***
Comment 12 Oliver-Rainer Wittmann 2013-02-18 09:25:23 UTC
*** Issue 121778 has been marked as a duplicate of this issue. ***
Comment 13 Suchithra 2013-02-18 18:48:34 UTC
*** Issue 121629 has been marked as a duplicate of this issue. ***
Comment 14 Rob Weir 2013-02-24 21:31:22 UTC
*** Issue 121662 has been marked as a duplicate of this issue. ***
Comment 15 Rob Weir 2013-02-24 21:33:07 UTC
*** Issue 121345 has been marked as a duplicate of this issue. ***
Comment 16 Rob Weir 2013-03-05 02:27:45 UTC
*** Issue 121594 has been marked as a duplicate of this issue. ***
Comment 17 Rob Weir 2013-03-05 02:28:33 UTC
*** Issue 121203 has been marked as a duplicate of this issue. ***
Comment 18 Oliver-Rainer Wittmann 2013-03-12 11:01:42 UTC
damn - I have forgotten to mark this issue as FIXED.
Comment 19 Rob Weir 2013-03-21 19:52:03 UTC
*** Issue 120025 has been marked as a duplicate of this issue. ***
Comment 20 Rob Weir 2013-04-02 23:53:54 UTC
*** Issue 120362 has been marked as a duplicate of this issue. ***
Comment 21 Rob Weir 2013-04-03 00:00:11 UTC
*** Issue 120337 has been marked as a duplicate of this issue. ***
Comment 22 Rob Weir 2013-04-03 14:29:31 UTC
*** Issue 120540 has been marked as a duplicate of this issue. ***
Comment 23 Rob Weir 2013-04-03 14:50:29 UTC
*** Issue 120068 has been marked as a duplicate of this issue. ***
Comment 24 Ariel Constenla-Haile 2013-05-12 14:01:47 UTC
*** Issue 122296 has been marked as a duplicate of this issue. ***
Comment 25 Oliver-Rainer Wittmann 2013-06-06 08:51:41 UTC
*** Issue 120227 has been marked as a duplicate of this issue. ***
Comment 26 Oliver-Rainer Wittmann 2013-06-14 10:05:45 UTC
*** Issue 120980 has been marked as a duplicate of this issue. ***
Comment 27 hdu@apache.org 2013-07-23 08:08:16 UTC
*** Issue 116964 has been marked as a duplicate of this issue. ***
Comment 28 Rhonda J Hunter 2014-12-15 23:08:57 UTC
I have a problem with AOO 4.1 not shutting down when closed, and crashing often - up to 10 times in a row when trying to save, use, or transfer OO files.  Unable to uninstall AOO, error message "FATAL INSTALL ERROR".
Comment 29 pat71896 2017-04-26 20:48:53 UTC
Comment on attachment 80268 [details]
Windows Vista is affected too

here is the download I get.

PK    UMB^Æ2'   '      mimetypeapplication/vnd.oasis.opendocument.textPK    UMB               Configurations2/statusbar/PK  UMB            '   Configurations2/accelerator/current.xml PK           PK    UMB               Configurations2/floater/PK    UMB               Configurations2/popupmenu/PK    UMB               Configurations2/progressbar/PK    UMB               Configurations2/toolpanel/PK    UMB               Configurations2/menubar/PK    UMB               Configurations2/toolbar/PK    UMB               Configurations2/images/Bitmaps/PK  UMB               content.xml­XÝvã4¾ç)†p§=ÛÄM³?mØ
ì²l·þ.[‰ÅÊ’‘丹ãAàåxf$Ûqv›bŸrÃRifôÍ7ߌä¼üò.“°áÆ
­.ãÑé ¸Šu"ÔúrðÓâõð|ðåì“—zµ1Ÿ&:.2®Ü0ÖÊá¿€ÞÊNÃîå 0jª™vªXÆíÔÅSsU{MÛÖSVX±n+;»{㶷ãw®«3Ùîù²e÷“½qÛ;1¬ìêL¶HjÛ}¥»:ßY9\id=Ë™ ¸“B½¿¤ÎåÓ(*ËrTNFÚ¬£ñÅÅEäwÀqc—Fz«$Ž¸ät˜Æ£qTÛfܱ®øȶ
IÙ’›ÎÔ0Ç>ªªÝ¬;+b³>@Mœ2ÓYÞx¿¼“¤{y'IÛ7c.=P“óè7ý®ßî´`²®g‘íU±yç4ƒuÛ_kÝ@%‡Ð îÙééÓ(üݲ.4/pÜ´ÌãÍc&ã†qÝGÚ#´ò
É´>a8œEa»1¶ÉÁп^¿½Sž±±øoã¡PÖ1µcÆPfú,2<×Æ5ĬºL¬ÖYƒ-u™<Üî´[›®M’ÜkŠp&¶>6Þp#xùÙÞ<|X‘7j„+¸¬»¤±­Òáw97‚2a’„0Ì,’†âÐù´å´Xy¶î¢³Á¬¾x‚hmÔ,¬ð®Ẋ	¥½¤Y†ð7á¸\3µfr< œµI&ä¶ÞDû/0ïx	?ꌩ{â|Îrm¿øÀ.,`/4Ù×\!1ئŠ·³È…‹qrl˜žæÿ€v…fò@õúá£m)¬}ÌÑwI}ðð­u<{Ôé"6ÚꕃßØw\¬Évjòxl·"»-î“I³ñØÓ£CmP­³Â¡²œˆ‡>N«q–:Ù6ÐshöÒ?Š,ÿ£À—_èãEðK‰°¹dÛ¡.¾,øPâLƃ
ì·s)ëЊà>*Ø¢NúqQðäÛðˆó8ÌZ\<óÃJxQ$Ì$ƒÙ
ÉjÖÁÊxw±a6ÅÑQEÍ;Šºv+H|]A‘ã´ç'p¤t	LÎ’-Xqp8µ€­õ1Ì!LlÊècpeJÈ>2 Lm¡¾¦@(ðiÝ„‹ÞiZÉ-ÜÜ4Föv­w{à´þ´Gò³9¬¹8o-[c)stšâ<¡h€w-×w§Œ`îpïlƒ'²ÞC˜1‹cž;`Jq1S÷À¤Îs`Aáë‚IL².EÕ@n4
5³£>eœ½Â'M vf¥ð!—ÝÉ!_³—ñº&÷%¯Ðóä¤ÊÓmsªŠÁ
£Ó[—ŸÓ-2((õª¾¬NÚ“ ¿|º”~ýaJÌf`
åÕRoü,0EtEà†ÞìbèUy,üóç_VË‚¦Ë?þ
[]€-Ök,-OàÈðLoèTbñ­„äLjÄãFÇ
¯·úB—̽	;zgzªÄN¥¾N<Ñ?ÜS·
cÈX‚=çü
‹kÔ¼ÁÙ‰_áȦ“m‚à©šôáã´›
——,~¿6ºPX~M’Ep¤xTÒ`ÊMi­§‡Ø3„$V½Ò`2z:ÃÑÕÍÍäé8ò2‹gdgãÉ‹³³ó³ã>®‚`S~_Z°!‘ß|ßS¼ù–•!ÔåyÝ}l×H%³Í„¤^ÇÁÛUÓ42{³ÈÖã¬)S¬$”Ú¼'¡èvøX|wsûª ÑÕS±šµ=ö;ÉÅáÔFíÏ;³EŽð¥S¯‘pq€äö¬Ùe`ã\èäH+€C¯Žáöã}Aqv—…³\®ª[%©0ÒÐÕJUÐŽBGšZ¢ŸŠ¯l
œt<íÝPûÃÕßWÔ3`sã³Ø’æyÿÞq^õö’Ry=ÿñvѺE¼À=ÿtè.êõ}K®á5ØE§wÁ5Û.y¨¯P+í/¼”ËܳF⨆$Ízúi¦žÿ;×8¯2ª¿‡A§Páýô2q1ð¿eMI"øN4:ÕZj8~NgLH§§¿kž…Ïe±wwƒÙ‡+Ul6‚¯yÌpübƒÙÑc(«_{KîJŽBhÆßÿ8¢¢öš£<	lŽ‡cE9OÚ!ê¸äyŠ½3‚_0Cj€o^-àè§Å7ðÆÇ£ÿ›Ê7#x2ì£ÙknJžðÓÑÇo<?‡WoªÒà÷ŕ̲>!£<™ŒaòžMžÂ‹ÓÓº¿žPèñùÅ9¼??…#ºñ%sÔ4¨GâŸKéÉíu¯<ZD6-õ+h´÷	í}E~nŸýPKÔ^ëí  ¯  PK  UMB               manifest.rdfÍ“Ínƒ0„ï<…eÎØ@/r(ʹjŸÀ5†X/òšÞ¾Ž“VQ¤ªêŸÔã®F3ߎ´›íaÈ‹²¨ÁT4c)%ÊHhµé+:».¹¥Û:Úض+šñjƒ¥Ÿ*ºwn*9_–…-7lϳ¢(xšó<O¼"ÁÕ8qHÆ´Ž	Biõä|9Îâ	fWQtë y÷ =‹Ý:© ²
a¶R½‡¶ ‘@	LÊ„tƒºNKÅ3–óQ9Á¡íâÇ`½Óƒ¢<`ð+ŽÏØÞˆ¦å^཰î\ƒß|•hzîczuÓÅñß#”`œ2îOê»;yÿçþ.Ïÿ⯴vDl@Σgúç´òUG¯PK´÷hÒ  ƒ  PK  UMB            
   styles.xmlÝZÝoÛ8¿¿ÂÐâîM¶å$Mìmº8,pØm¸í>ìSAK”Å+E
$åþõ;$E‰’)Gm’}p0g83üͧ(½ýåXÒÙI8{Œ’ù2ša–òŒ°ÝcôÇçÿÄÑ/ïþñ–ç9Iñ&ãi]b¦b©NËlfrc‰Q-؆#I䆡ËJ7¼ÂÌmÚøܣʮaS·f·ÂG5u³æííEÛéš
³¿;è0u³æLýí9Ÿºù(iœó8åe…Xq¤„}}Œ
¥ªÍbq8懛9»E²^¯†Úœ¶|U-¨áÊÒ¦X+“‹dž,o‰šjŸæõMbu¹Åb24H¡3¯ÊýnrDìw#Ф“cÃ0÷Ý{“MwïMæï-‘*F|ò°øDóßÇ],ˆrª.ÍÛƒ*¤š|LËíï眷¦ê
6A¹«åòva{܇‹ìA{z‘=E4mçe4àKÀã½SÇ-ô¡G%ß-®¸P­!ùôè¬Úô*TIÇÓKSëNdY̹Y@ªA Ç{‚?õêÏeü×ÃÍšºéÕêUôÎæœCQÎQŠã§T¾{kª]žÙßúØÑGÄvˆ&Ñ2DZ”„ž%Z\Þÿ™ x³Oø0û/Èùª¸üyÀg£YO´æw˜aA ND#¯ã¨ˆJ!“öHæýØhÀ ·>®Zˆ”ÏQÝ`7
êEå'©pù,í$\ò\ÍþD¿a2ê“ߟ<߶ßIù{
“–ð\틱4hÖí¸â¬ÌpŽjÚ1NrcÒN ª iäx›ßq% 5…"ÐúR	þCÛ¡úÜOKýÍt—ßä„Ò–’æø>¿‹f9ß@TÌ+e²—ñXÿn¶Èeüƒµ«øø-ç7i$žD]+†&cY¡FŒ¸à‚| Õ¬«‡‹Ì{}¨ôœªâT©g¬™
ÈÎq ªˆíЖ#*½è©@ïÚ†¤ùcT+®u@H‘sËŠhU §À˜±Á@."©rÝ•´m%Ï`;±Úö‚Š°ëV ‡[ÿ0ÎHg#cˆ^Iuãf·ìÚî³ÓÔL{Õ(o‚E‰›H1‹’|K“U¥Ì…*R£,1jR^3% >}h´Þø+̘nz§Ô2ch€ˆ9ÉÍÆF¸£}+¥Ñâ¿~:—§g/Š#[jA†2[ÒûOQg/;§¤l‹t1 ²âT˜!1EYX[L:RR’Öü‰ñVÕ,Uµ¨ÓN	çìŸHHqF -™Vý.é²¥²€Ù¥Êĕ綑6þš‘§Uº 
”ý—L£®¯@~¹Èõ»r1Œ6KDX¬Ÿ1\ȭΘªZ–g¤…½ºE±1öivË…ÎbP®!^(ª¤Žßç*Ž?”ÃÊ ¿b\ÅŠï°*ôã¢Î·§û
›é²'C"‹FË‚sER‚y:]"Ëû
£ÌËàQq°ÐÞ„ÄaS˜ÎRŸá3,|Y-¿lyv
™õT+‘€êUº·Þ®LoíÖ·\)ým7Y5$ƒ±é¹Ìô\Dè$Ÿª$^™hFçAq¸íæ,¿ÏgÑ‘D
ùŽ¬Õû»xy"NBØCí­(:yÞ™ùäçøþ‡ÝzÙ¥“ûÚÊœãBˆR-rbÜݘL·üWdfät˜*Ðw&W—AcÉe.íU—e[ü
Å´~w¶O¸‘®k×ô˜>`ê†g’)
³Ûæ¨ÍaMkž‚–Þ¨˜ìá÷0g_пÄÈ»èßrÖËEù{Ã&×ìm¨$9®™ÏÒ6Z¿¶ÂÊ=ƒ.áŸ~:íÍrߎÇþ0Ç8kG6#¬T…}²a(9%ÙËdúÆÓ´ð0GcM7˜ŽÎxÇ66Cžoâù˜Ø×ÒÌÎ3ß×óZu‡ì¹è¿–
)ÞcÚ°ÛàÑ%mÛ¯ËX_Ò"h·­tñl¶ÃÒ'qIÌ,qnA±{bE[ Cší˜¾ª‰°4²Íbƒ?à,Þžl‡‰,ò”·#N¿.s÷o\4ž$æáø1Š}JS)ÎU·¥Ã9xh Žá9éÕU!Ì—É› Ò>¥‡´#¼:Ò7W†ôê~è–0ÀÙ¬¿:Ì·WóÝêvçŽ2 Ú^é»+CúþþaéŽ2@Ú^é7W…ôj¾¼	·CŸÒCÚ^éû+Czõn‡>e€´%¼:ÒW†ô]¸L{„ÎwK‘^_Ì÷ë1œ;Ê hKxu¤“åUA}3_Þ†û¡OéAíϺOòñg\a	¡,'»Z˜kþYKˆ›ë‹œs¥‡\‘4'¶¯n÷ˆÖX_PØE·Qz˜÷Dþ{«¡_$iyî[}Þéb–HÂ:ñ‘΂šÑ;ûÂÛ\t¯×Ýk±:íÛ†FX*Ì÷mzøó¾0ÒºOôÍÈ$iìî6iÞF'ðnÿƒ‹ªL¢ ÓàÆPšË‘<¶-“&
¡ÀdWè|_ÏïGOب  UÌ“ ÆÕ\(ˆŠ†·—#7—á)¥¿(ƒÆ^CÞœÛø‹KtlÏ¢/°»ïA‰+'Îb±„'؇N‰{	o1œÜðkžd™xP®ß5†XPöÿZ*ëlv]@®:'Üý³»%êîÇ–ËÈ£r§;T‘~gf~,ü“z‹ç‚ºÀ;´†P"ÙÊhµ5‹ZÒÅ×^¾Í^„z?¿Óûî/PKýÛI–  ,  PK    UMB.8Ì&Ÿ  Ÿ     meta.xml<?xml version="1.0" encoding="UTF-8"?>
<office:document-meta xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:ooo="http://openoffice.org/2004/office" xmlns:grddl="http://www.w3.org/2003/g/data-view#" office:version="1.2"><office:meta><meta:creation-date>2013-02-13T11:22:19.13</meta:creation-date><meta:editing-duration>PT18M35S</meta:editing-duration><meta:editing-cycles>2</meta:editing-cycles><meta:generator>OpenOffice.org/3.4.1$Win32 OpenOffice.org_project/341m1$Build-9593</meta:generator><meta:document-statistic meta:table-count="0" meta:image-count="0" meta:object-count="0" meta:page-count="1" meta:paragraph-count="21" meta:word-count="331" meta:character-count="1845"/><dc:date>2013-02-13T11:40:47.54</dc:date></office:meta></office:document-meta>PK  UMB               Thumbnails/thumbnail.pngíºEPLô·Kàîîîî3!¸»w®ÁÝ}ww‡œAƒ»[œîû¯[ueõm¾º«ÛU]}OU?Õ‹>‹ß‰ÓP“ÇD#CƒƒƒÃTTÑúïl‡ƒû ‡ÿ_ U”ÇúEQFJÇ/ï2¨/ù\¡Å–ÀÚùI^ÕÞ´Í3éšEl˜Ìc2#QE¾ 4áÃÁxZ¢ ƒzC“ÁlÚA{sÄ<z9Í=¼gå¶TnZZLó»LuZþ8öÉ‚.]ŽŠ–æÔ±™lø9ý©³± tÓŽKHäÅ­é÷jLæ€ÂÙía×<¢™</Hdeçbè÷Çÿ5­÷ànôÓ/7øú»×E5à^<­×†J$'!n/c¤
¶3‡fj	¤uàóKËæ•D¹ÍM¬€óåí»“cª)žBðjÃúîSŽ0æìQŒä¾Jf¿‚ý˜¾¥Û@À5¿·>gFx]Âê2ÌtLR𤹧oÇVMô0wmq ™/xB:he¥ ¹juVXÀ\§ÓN®¼#„Ò¯·M_o‡S¢¬^¯Pb˜·OtàG€„×Ê4bÄBñ×- µW­¼7ApÎKR°€pÈ|ÄäîoûÖ_‘“·þ¨9§ª«|·ß9–:¬»|	û™âD Iï‡û1æO;N:PœŽõõœádÌÃK–ðoÉ7æ4³;ꈡÛ÷ÿã%].¤ç¨G,w™P=Œ8âš™šó©½HF›*Ym}Š¹¨å¯K
óË÷•ÿ)2³OšïÔøoSùÊÚŠ|åÇŒN¬<SùRé#Ï7éTŠs"nõ\À1h_ÌúQ
®Š"šûÀV€\ÌïÀ¦5D™æ|¢Vñ‡€pÀ.wÏŽ<®³Ù·),‡©9)uéЭù²ÍͪSRgÐõ
ÉÔñ(îD¢ÐW>ÐÚ £Çútrá,T{ÇUùSÇô*±Ïbʼl[âÉ“o’ŠÊw[)ǘK¡•|«™ÃÄ'Ú£{58ÒüÝ7ŠÊ¼VÒØq'­ãP)úýÆ=¶•L½¢êRg-Dèw³vâˆÊ1*!dÛ@áð®O÷P®1Û‹yûtykÌä Ez$@¿(vÑ£îÚ-@Ê*6ÂŒ?Kzi¨ M	<V.<ü>ùj=š“¾„Öˆˆ¼Â¢¹I€W,üDк;¿ì²1Zü”.¸;4h1²UÃ|êÖ±å°zŒr™ò8˜á°É…Ü:5ÃIìXìoÂVÈ)=IF/Ôˆ&T’ÌàÅG®»Páy-:^nE"éÀ|Ö6LJç6Ì ŸãsH[¾‡X
æ÷ùNF…üã¡XÊ·ZBQ‚4±¦;Ú£tÉ'ÕcfH,Nøxà,yýÁ±¨‰Qª´NžøÔ?}ü—IÖí<q7ì÷´‡>Y
É<žT>Gìóµ¶JƒV@ë!(5÷µf‰A2rÀñgQ~®©rç¯r[ýšS“Âç}Þ|…äè«”ÛÝa#º!,jã.E­|žoäfl+ú<Vb)#¼p6	üi'‡Iº=AÅxîK?.Ò2²<3	žÞŠ¿Áßü8Ïž6R|À)ëðt/#B%«Ë´[(>øfYr§ÄÍ&§-9妙õ◆΀x1ôª]¦ºñ,5þí?>,æ]’¨ž0¹þüÈ|ÿï/(¹~%?
qE9mã.±¬RcÐý:cboEýBëIoù‹e‚ â£mpª|Mð0{ÌÎø@ëV*Ä+ß.êƒ?²z>k–"ÙLR«€É9õ¤ò*
ÛÆcª°ë%€ÇKõ¯±Ê¡ÉÛ‰dï7ÿ×GælªÂÞ…‰n4mC¸ÖoÌ.ïeðYÿHTC¡²S”ËŒŸda±®/>mqàCù#¹Y°ó¦-;‹ŠydBƒéé´ZÌÓ½ÖΟ•Ìò¥•é	+tÕ4äóln°×YCübÑñõO2(þNB.|Ê{Ó¹°
IBŸâîîò×B6ýý¶&"«Àh÷ƒ9ÆOa!ã¤=†nþoOW÷¾‰Lp¼ÎòÍÀ·_0ˆ>Hî?‡qäµy7&/Pƒ¡^ŠÂbHHéë»Ç±ÒEô;uPƒPí¾çWâ
¼LBƒGŠ›Þ ºý¦;&²
â#ÂfnÄÂÀ'ãU;#=–ëf²&÷·ñ%_•iyhV»gÝZ=·ïofÔ’œ£eƒ„ÿP‰"¨t«7¼é.©­{‹Ûãåž²›}z{ì´œò‰üÂ`ÊÝÐægçß–Øñš]û²ŒgŸ L‡mΰuïYsnÀö™/ü`ã -È4Àÿž-˜¢9§)ɤP²WíOܘ!§?B¡§PéZ[TÊéÈoç.ÈR	I”6ežX¯Ù‡qÝß®e:
Ü1bé@üÝ8ÉÕŠ¢&÷[²Q[ýŽíÆ…«Ãñ•´BaAô/ÖvV•Û|ß‚[F3gê<N”>Þ>Ÿ”'lj¿;(±P–kœ»°Þ¼?=Œ>ö‰vXݹbϤPNì2+{q{^õæ‡ÿ±MúG‹âøiؘÂ	Ç»U›ìNçö÷ØF«?-¤IübÁü…h£t ýbfTÆ;•BÔìVâŠjUó ’ûI‹ñß6m7ÛU‹
õRßö—Úw ôÓjN– êªKžÓ¯Èªu[A;„f7
Þ*âoç¦qŸq2·n~È/õàÞZ@¯ö¦EÆdw§\4º±àþèh}W Ë5ˆâKe¼ë
1<»]3“Þ¨'>*ZÁŸÅg´âV]³Ÿ™‰Zðf­a~øEVËʤkV&q´?'XþÜšžâZÉc†5=¹|³ƒÜ¤zí…U-À#|
–t‹Ñ\ï]€l¡K¾åÙ—«mÐ%tÉG30ûteê¨zoˆE8]îÆ›S5&õÄUê”`ÁwÅ}®™‚êîö•Òä¹|áÕÿŠ‘0bÚd‡ŽûqÁ×ð€àÑæ`-.•b¢ö»Z”Ðaãæ–½ÜXØ–+Äb¹3c–ˆ¼Åªud£v¨»AbE[V8‚e‡üÑêËhùÃÏ„[|'!écýÚR~Œ#ºŠõ"j(i³]JD³È…íЫÔ@š<} åþW>ÑîOξs”›|1¼y‹ŸË¦Ø¸‡€¤F×VƒªÒ!·‚úY11åÓvPÞ„oWµ…ò‹%%Ô JZ	í)‰­H:¢u4–cÓ±à…À‹eVøx<cU.’¨•¦œŒ®ŠÝ?~G(ÃûTk³8ccyÉg¿\‘ºdS3}Ä/DuÏ’u>q‹Åîï€M^“ –ŒsÝHœ˜/(M%ÊϘ»](¾KgÄÊ™Ç*Hëxˆë<Å+GÚ^ —ìt93—6åÝ9ÄZòY™lT’¦Y
[ù¯þÄsø_Q6DX̬ÕhÕíËÈÒUQüuoûïƲ¯´JW@‡Æý»žåà„÷ü‹y²fÉq9ð›eë…£mtã?í̘{ek¬õaCÁƒØ&1€2°ôsj#Ò–å!£Je…³|äa¦ú+åy: ÍßÚ«)gZy¢,¹|ˆ±˜yXæ¨ùÀ¤xÛj6À*\4vØ‹H‚G1Vºê±}¢qý.ó´®ç«Y	5?uÿ0ÞÀ’$î¤÷*9‹§ÌaÙF²F j|_$1}Ê@AÛ+l:͉ˆfß
wIÛ²„ïšñx•g‘Fîþõ
/4ßFÖgø
ˆEZQ4ô…¿¸!¿_tÌ’Ëûù]œR‘Å”7må®Ð›Ö=WÚ¢8–tœr ï5‚+JAx³Te|U‘2"I)8¿FÅ’éR”Ç»þ-Ïž°1›ËÖØÞ¾@Oc¸å'cHÃK–2ù©w<m.¬÷øå­r÷÷ÄNl8ANœØ•q¸µaï¼®ûœ¢qÐß“A²ÃÀ§ÆOÀ@Ñ×ÀÁ	3W;Ñ#:Ê•ts±ÀEÚc8À·J÷³X,RômZ¦PΖ²5Ù»X Á¿%dPšl~µwzqÔRZ0p@3T¤·Š½’{è·ß×…Ñ5gcñŠv®(4±¯à@ßðøÕ° ZY uÝÔ|J5Þ—¿RéhkA.nÄ"Îé8¸|“øQ™Hƒ‹V	Xº6
Ý÷ç9A–bÔ㾉{í‹a×™‰~Ž÷ÀIËLŒè|)Øë,ï||•Ø¾Zàù`T_º¤"3ÔôHˆ¾ÉmΉˆ4]Ĭ4}Á—Ñ4pÖÞÐnȤVåF0$¡è#|&'"óË¿“
clüÃ2°óIm¥¢×8¤	ù¯uÛ£·{Ù£'åÑì	g©h ¡u½Oá×~»SjÆ«A¥¥|¾˜¦&.
´èsŒ`ý
æÍ,Rr=çÉ}KËV{ßu+¼ñÇà³}t3À¬U›ùŸá3}é›úä Œx.×#š‡û!çŠÁµB!v^ÑÌ(#Ñ~ Ø€îFyGDêã(Ѳöêû%+‰eàüç±÷d è€™9ö1"u	¨x¸³6I[I7üur^FïÛ›YãOƒž.ÆÝj˜©#×då0"™“Cm? ~Ÿ;ÐPá¾ç›ØeÂ`F­«êmi¤DaÀ*}²—©{Ë8k»âpãÌ/öñb3]=÷¦ã4Ud¬´ÓD(r2¤.)îôŠÉB¸÷KÛM󨜵˜,yw¤£ð‚Ö(çcÛ·©ŽôµJu¶“ÙS¿u}n¤ô7¢D]ߢÑdŠ¾*€£sªq¡œÄYSg96ÕUp€êt¬^(ŽÐäNøÔÙ_ÿõÀÔ°1µ™0;[§åbÖËçO?+
¨Ó°uê,:%ƒ(:¤st˜h@t0·C«föšêÆ\5»®/:‰)
T™½7w¾@jÇe;Ư-‰Œ9­tf<â¼f6Ô„­$cÞ³RÙÓ÷iŽ<?1VýÜÀå*ºäY·iÁwäþHw2pÛí{¾y Ññh ¤—(bç1æ÷ý†O	ˆ¸Ùª7‹¼â`ÍX„jŠ¨è:écX<Ö‘‹v3ÊsöBG	NŠ
Ý1ªîØäw ‘©¦jЦ—ØÐá^rÏ[½pÅèYpd÷é|Úþ|šÿÁQÏÌ^BUêép Å›‹<g²•ègìŒ[}Ý¡÷m›‚W#ž¶©rolà¿¿úªs×C°Dí·Õj'>–¯R!Ÿ×¼Yj3s’ôe¨Ê«o½«‚<ßþ€	™ÿ¨l\ye™4(iLJ˜ŒxjáåæžbkKÀ›éÇ
¤uÇö{”¥û<ã!¿Ã!`Ì=‰díຠ/㛤Á­Ô
¾‡;û¬®I>0V»f¿_¾£^xÙÕ*z|D¬»×6ˆ\&¼_rÇ“±\­®)wÙ¦¤KKþE¼šm"|²	ƒÎr…2Hœ&¸êüÕ”,óÁå#1Êž P<.§èÛ¶”­ëÊ?›ïØVHÜnNÍ›,‡a3Ñô‹þ‹ë¶œž²vØúRß¾dè<dz¾&¸Ç—]ŒŸÍIöÎüo÷¿Åú²Ói˜ä¬¥#ôÙfÜv¤(ŠœŸ´X<
ŽZ¨‚°S^‹rÖ-ýB)¯Mp˯#«Ò*³®èNÔŒ,Jd¡DM?ÍTÈ'»Õ&o—¤Ó|1æðPìu¯o<e;5s/ Gl³TðÜí7kRkj»Ù¾~ L×DT9õ®6¥1oZ¸ø›4’¨vèTàÒžN´¨e1¡,~EͧcäŸÖM¬aEd$acTÐ[$åu³ÈÀ“·#½æníž
¨þw•ë¸.ßæ!ÁéÑb-V»_lX`¹J&ð¬ß9ÙîtÒMf)—œ"ß:
Ê]MD6+ñ–Þt®¢jƒ8êêŸè´PÒ³¤Æ¿u‘„[ÆèníÑ~Cþ*¹¤]°økêÔ™Y)Y"Ó¸iK±EÄ$|yõÏ{ºX› _'Í©ª0•û¶¦¢îOY¬² t¥1bà‚ƒm¾ò%Ô>籫L \ڤѬ29pK†áI*½{ïõQìÀ–kh0.G'ÿ{‰{©)ïwìÄ¢•‡÷·XW¢i·bðÅ7ì_´XŒm‡êþ˜@KÊ•qøÄ*¼¹Tä)™žV4û8ƒgœO’œ
äI2×'4cçÎ÷ÙŸJÝŠõ«š…Ôñ÷×ï‡áè0þL
Š6‰†‚pÿ³> Ñ±&’¡òfÓ‡½Q5Æn“ÕCSD8»	d™")}ŠãU‰K'9„),5W7Ìï
Ó³û>¡©Ë]þBBk#Ûô·§KëÝQœïc÷VæëÐómBîhÑ*VÉ͈ٿÿÀl¬:Š›s“°]¢ë¶/lâˆå§…vÙLd«Â‘œ07=t‰‡ˆÒˆ«œ"#’ Ÿ­#AØ.Ã^DüJEz_1¡t|Iâ˲˜ DÅf&gÿ‰	¥ò*jb…
U‹¤RàÇk<õCª¤ÛUöaWÍd]Bæ­…¶ÂtåçÙ‡&vÅ»üb9,œa…©©“7‚·€y›e¤‹A‚¨iRM†ßqü¨I˘Ž\™JmfÑ«Æ15æ¥þX@‡ÛW§·¡Évö"üpPB¨˜Ñ?9SËù´‰3½5óè¡4ñÛÿ±­·+.¬·‘ìþu3‹<Á¼FÈ_O¥¡e@rÁ"7}6`ůV!7EHw†Q?MÒOÝnÎÜøaž6Å6×ÐQIúO!±±ã˜_î<ZRxEµJÆÅı‰¶g2S‘µjDw¤ÎúZúÃ21¥MBÒø÷…³§³óËé7&$ܸuî‘SĹàŠý›“_åIÂRö€‘Å_ÐÆ¿Ìèl¯þÐjSÆÄk»ñ7œJ±e—æW”Q0ÅÈHœÕwå	rh@J?w·Ks2bõ™èµÌÊÄƹb#iÓƒ¤,§z$j¬ì1’Š­#Q3tˆBn±²?j¦czRhÁ½ÙŒF<OÈÇ»£zÔkéUtÒ¦Ò>Àºõ¡<È’–L¹ƒXøµÅV¸¼«DÿÅÃœº¬Ý¦ê+åÓìÆ(îœ_WŠg³`ÐóŽ(*nA»U«âðÄUÝAc\Súr€´F‡Â<vèÄG’ÜšÚŠsB›HÏkÐÅT	kQžS~{;HWÃé³MŽ¾­67zzâvyˆQ[£:±Þ|¤½1¨dü‰Q\Ô#ƒ¨GŒ1£^“’2uœbÒò10 álÞƒ`Zûå£Äzi“ÞL¤n6=r¿›èÔŠonükþŽ\Cų8zaçGWwàGŠaÌZºméÀË’€cÓI€N0’QíYsW]Y°*KØVÁšj¢3T1?]ÃBDöõ\JxPa‰xntþ8ºÄX@KuÝ—®öAT4õä”+0;¤ÃdÅ8¨•¼à‰pY<¢ãj‡´É”ÑÉè6þ5âÐ TO~iAe_båðÖ”¬²8nI8sX×è^.Еµê4†r©jgœ}­.÷ÍM»RÞûÒñ¿äUÉ5Aóu1€*Ôe”ÉŒŸAUT¸
¢SuÁ:.»þÝ4–ZJõ½
†1lÎG—‚^šåª¶«aÿ¹_ˆ
=ß·£9'üùý¥šôs f¬Ê„™/Ãî†ð
é«ê9òD•n’ÜPcü¥öFz|ð‚µN]$²5ÞÇ ÍâÎIjª–aNÔ´»Þù^®Ñ¤ø¯ãz¨å!Táz°Ñ&<~ö„¤Ú33ÏÝãé¡9¤âª¥M¶Uv[*Î¥ÚHòR¬¨¥±ÅŽHó]§:à[M²¿ìÎrÎì_Zª³ÞZÅŽ?W|l`‹›¬¢“¦%¤4 ÏèýUcvZo?ò´”mhèL±B|Ž"Úì¡1´»IœL¯yW¼´^ÒA’é[WÒ#-ò1¹ ”˜ùftícÛtÖGQˆìòõŸïsíA]=œ9ƒúj
µßk²ËÇý½w…e%AZãK,ŸûBüNõíŒÇKž>ÙøsÉï®ç‡j¡ëZ•)ç/õ£®ÝR»­«ø(*_!‚IQXÑ7•ìƒVçÕ'DÆ	œY	§_Bwæ”0bŤ‹¢„}ƱùvØk„¡5bRØut‹¿úY¹S¿Ñµc¹>tæctý
³aÏñ˜ÜWTùli´¶°UÜ‹!3GèoÉeV,Mi²?’ñm8KC%ù¦hbÄ‹+ó‰·BÒ‡ÙÄ©Ka½nÑÊå&ƒz$´¹èXû‘˜ü0¤ð܆døÆs´€>†ªÍVc”OSþ¨§Jóä‚KÙù«ÐáW‰¥®çÍ'òµªŸÛZAQ>˜BJŒQfÙ”¢S3F/Çb™V©çG0üGN”¥ë{†¸»l\¡!§MI‡Î ÙJÅM;&®«Ú¿wY	CnônHãyXØE‡e%êXDR‡ŸT°ÊÉ;¼mkÝ
Y¼eÿ{¹ùZ»ýdHS?lÑn»Ö¯x¤‡€ug–y´Íú¶4솨*‘Ù>ÀÝ´ns^kKFeò¹‹å3Uhõ\KþýkQÒìß»Öiê:kíÅÖ*(ä-°îºXdúW¤¬L¨ùu–C7ˆy톚?ò|¬ÏÑ—Ï0ý­Ëbf¹Ú“
7ë1nz³‹·ªÑýYü½MØx&7fš¡Ñx²ÉŸm ¨”›n&ù!¢õ)š<Tãïro,•–ê{p-1`˜T{XI]ÁÝxœ.ŒÊW'_‚w+U1äM†¦¶ð,_ñ¹ç°µü8µÒÏ‘Ø—Jü€ª×½ßΙåxV­—ÃÈ×”n|ïh)ô=Ü)ý_êí™—Hšx§Ü×jlQŽ4e½À %"ù†Ï‡¬œÑ­‰ÊÙúô·ŽDúv‡wׄ~¸˜ëÓ¡s±B‡5Rz,c «B@°Ýë”ß¾ââÂ(«üq­›…|íò®50¸Èƒ,µì|ÔU}K×2ÃCmRÁö¡Lî·…éP®¡vbFé^³­Óꧫ°,Ñô©[5YM‰ôzÃ\DCŽ®Ö`ù2¢_
õÖZ.㟰ÿ%|H¨(á=œb	:3Š‰®™
ïìùin]UA~Ó?é7®e /srªz=yªy7KÆRtø@û7YØK6AÞG"&Æ*;z¨®óûMG_€£×ˆ72©ije³ï  ´S+gúëº×³•$>䦺Ó<]ÜeŽÓçtâ —ƒ«ù•éé§ã,—ã’0RÁ¤I”»B9"u¸¾»`Ïøb‹ac1è<8¨ŸnàƉ-ð °k”Q­*Zƒ(£eÎŽ‡¢‚ÔJ‚`ÉZ[S­’¸ˆsX‡šÛ7s’PÏõPù£ïÁFÿySðÜ/ùZëC?É$¢Èç¿Ê˜‘kÙóæ|’-©¶aýSï!º[CcœkbFÃÃþ =á]S-'m ¶2{wÌ®ýá#ÖÏÕ]×ÇÕ°¸%2Ò¼e£ÞÌÊÓmT&Øæª
açöØ‹Pÿ)aóáG4À~#¥eÇEG'gü5ï€Õ×àERº8Þj+À’>œb²uSX(ñÚõ­ô
	^lnS®õ`d×@@%ú:@u~í‘wÛ£½Ø’¦…#ƒ7~•·=mVÓM™o-¹í§³VJĆ?=ÐSb­Úî:ÜËï¼±}þl<J†±lm{9=‘¶¨ÿR㽕œ#~tv2ú.ÙÈ,¾}ûŠ‘òšw̪ÛúÛÒò8ºÓZÎäX_vôjdŧ	<qЙNÁû5w¾Àî™XÂ'yŸŒ“6©û•7#ÛàLðUb‰<Cs]°œ8üH6Áç˜z
Àöª*EÈGÔ"b¡;±Î›qÒIlT¨g
^¿”Ók@ë\[¸
ÛL^â±Ýfmö¶–›c8—Ü­®ÒPÄ”IÏó°â3*d8ènǺœÛæ`W–žz€Œ‹Áî†
Ÿs‰ë6²§vlD¢”híM늖ƒ9׎å3bÕ°ºV.hܤš+…ýX€~¨qùÉòq#S©LƒPa·	™K™}êõTЮ¨š¿æt
Û#|Rˆ-mëˆÊUkÈ}©uôËŒÝ[žß‹Êñá$´™ºCC}déi
ÑÌ'ë×€"ØþÿÊ/o\ýûï<òÍk[¢CjÑÍli”Xg„Òµð{5ö‹ÄÀÛŒö7ŸÚvÕKEÖÿ©óH~t2ä
ÚCží-«K»ü¥hs+A]·RÑJ‹Ä§"ð.…d,ʆg±,ÙrÔÌ4ʸ}ðÚgu—cyŒh|‡~½‘g–É=²Ùžwú;2l†¬£i^L–ÏT¼)lGom#Å原y*Qïaª‡¤ö“ôe!lFíš×gŽTUÃÕôP×K'2 ƒzåá0þíøÿôLî¯:ãFj:d:õRrGŽ°M
SXs˜Å_*—ˆÍÒ6áä6Ov¾;ÛV¹“È1”0uÓ>ZCbŸe6gßafh/•ÔŽ
¬1Ø#Z¶Ýh	ªÿïömû| pߺ‘§¶ð"Ñ/¦åK¶âÇôþES¥j€‹ÄÎZtÞlfÒì+éMÇd–¾I‘ò»àÔÐm÷?>éêŽó[ñÔû”$ Éjµrmuæq©òáèÇÌ“¿c¾¸úrtôBÃcÞVøåÛ¦OÍê…Mp»	vöáÖÇ·ë‘®ë»Ûr³Û¿mÉî^r§«&ƒß(}ž®Ú·#Ž·»ðb„^½ƒa ð—Ó7‡ë›þæUê¹ô2Ó`DèùäB›ëá܃!]òÞêO%[*’¨°ƒ6ñžÏ3 Ã”é$b]¡ZaöñN;…¾“ Î›»ºžÇ¿*ö#)ª¢ûÕâ A!ÁŒ6ÆàÈ
&°8‰l[ö©bV©ê׃žœ\såJ²ó5¡¼^Nùà0!NIê®»#_©
Õg$˜¦_ÿð:Ðãø~·[x½…6¶	¹ËqG|ŸŠ¼É	~Ýo{§ì	‰rý²s¶^DZù@uDÐzÖ¿(—v‹¡ž¸é.à~ëG ’­±>²aÝü>ß&E$WDÄ8ZZ%¯Š©U0™¿Ü†ó;6ÿŸ‡²õ”R|6 ;¸ÅpRïS
¦êd’‘£ÂöÒ H7þï½¼R´¶d¯ÈÁÝcåV#,b;•èŒ¨Í5 Lù¶}¿»œÖmüDÝ $Ê_¨™Ãª8áÉßûƒ¤w•ïÖq¡¡X'‹7=PC÷û‰>`ØÞ˜|¥áHŒÕ!Ƙ4£zÌ}|k6ìcÂ
Ù­'ÞúÈý[Ân‘ zèÑ(aÛâø­òð
âqáIöXÐÄÄ®Kí/ªŸ(V0øºDä*Íþ;È´Š"ÕgÅ^ÚC
fè £ÍÆ\‰R.v$B{åWÏÞÌÔ‚ÿ…«¶ï¯´ÑíÇ•«CÉûGž
8›Š¸â/-ïÿ™:×$u,šDdjîô£U½BÊܦ—ˆŽÇ3ŽÏÜ}¨ Fª©ÓL¢h&}DÀ,É&–ͬ\oöë
ŸÑ)K®¤Þžm×;OøGŽV“"æä_泤b>¨­¾ÊMÂÑQ“‘pEi¶ºïÁ-3…bÊ¢¶1*mØ
{äóØ,”¬':aèc(êŽÃ·Éd*Ú¡á: 9¾	ĉŽŸ-1bwV~ùh…0ª]^Ì•èlÒ0ì¸Dý°Dú7oצ7ÚÜ"yr—™]Í×FÿGû{˜9^É@C][»%¥¦E“2åo¥i¼Ï†Ô<ÕÜU–öwi“»ž²Wù²µ$`+e¨ÔM‹vOÙ<¸D퓤Ö
I@]lª)à‹ßdÙAÀÉæÝ(LçEö_P‰ûÀÍ8pPa¤Í{PÄíÍåz¹­å{[ü¿'^Š“‚š|e:fÃÈ#p±¶1].JñU-_÷giBüÏN;âÊSÃZó\“ô®:/¢B(£
¨B8,yÙv³3¨[n_aýCË%&°Ã¤÷m¹ÈxµTZxæc)¤
V…&“P=O%!C—à›dDÔÞÈ¡f¤§³IH¬™¸^1®×)‹ÈÄq®gõyA¾«w¢øðÞKË<¶„76Ô2ЭÈ/´„gâ̊ܯï¼ÁXHÝ«Ëÿ2ª%îÈVìÊ˱'¶¡Ï„‡ªôVDÚ–IóT`µ˜0¦¨]ŽÿÅ"­";à–™Ñ™ÛäTÌ=-fúœ)FòÊ`aãY]»8¶¿+òz²˜› tѪÉKBü­®m6Ê9œÕùWõ©£{Òÿ°æëÁÍÞOšÿq‘aw)Å×ü:N>§J=ZÁŇèïóþàm$.À±ùäƒfý2ýž¹_cÍ0/óh¼ùpXL"5 >€NÛ q÷^÷mý$mgÌHÂü”࣌5mž-¡òfï;rç±(
Ÿ•­˜‚r:üDÄ×סģ3T>Ž6&7ÙÛ²Q6>§n"Y1^éBëÝ	S|Šž¦×[V.W·.Ö7¿Þ÷ Š•Y|/–å{*¢´ð':y ?ÂhôEàNQȃ
7¦šÞJ<¸Cv1þLòäÏÑ=ۂ趴i§C’ãÄþ,ÌU3÷€eTm¦×Kd§(KÅäŹR‰n<Y­L‡ìØã©„`1Þ?EŸ™)&NkAƒ¨Çü`'ƒ2v.Ûé•‘Œ`Ó¢q?Ú©	ÉçGA–ÌhQ¡;¾—µ•OŽ´Dv축%­›î¸ÍÈ(×®#*ÓÎñ,tÛi$⥇A<µšÛH*¼Jtv‘'üîR6œk%Í…
ù–sV"ß{ò}ÿ4¿§rŸ%Ì6·ÔlÒ·+•'ª¦è>ÕçŠ
3Ú²ðù|Å—†{¨{U:Ó%'• -»÷xïY]±%3?LÎØÃö•¶£ÐÜ—ý3*[jê NdK¢FLÊÇj
š‰¯ëœÂ·È£°…×½÷
È$t䩬€0H]éË&Ÿõ§‰5§_ú݇Ühe”:³œÝpñÞˆ
cµ­}‚\Áõ'…$‡ ?eLıÑò3’Åßq‡àÇq"¨ÄÍ0½“V†”JÊ*ye%¿zº¿nû\¾‘ΞAç^ÙÍRÞ*©^3þÛ f×oVÀ7lì`}Ã9¸.K~ÆçwÚv%ù˜ÊÌ«7ñeü×^•¸·s‰"Ü`öÕQý’¨ XÊÜ™þëúü,LØÚí¢^!f¿ ö¯ÓSaè9P®4d–êĪþL.hô¬8wu¼ïB¬¯+ÿ7ÌÌýÿÈÿwÈ;uþ’¶ŸÖ‚:)ÜKQVM¦á³yøÿPKøNp°â'  •)  PK  UMB               settings.xmlµZßsÚ8~¿¿"ãwʦ¹À$t)-
	f®oÂ^@‡¬õHr€ÿþV6äR0)Å艉-íj×»ß~»ÊÍçU$.^@iŽòÖ«~¨x ¹œÝzOãNéÚûÜüë§S@#Ä ‰@š’ch‰¾ íR7²×·^¢d™æº!Yºa‚Æ ·ÛoW7ReÙ“•àrqë͉åòr¹ü°üøÕ¬\­×ëåôívi€rÊgǪÊV¿U…ˆ¯Šì†ì0©²Z¥rYÎþö.6‡|ãšš×Üúak~óf£ û)q‘õÍÅæ±=Ú­G*/–¯^óòöýºç­÷°1ÆÞöYÇô†Kã5?]^]ß”÷…/¸S“'¹RLì3Í<On­^­\“ý
ølž{èjíºúñ4á£9.‡RˆA{ÎäôŽ‚	¢ &½¦Q	œ¦£+[
—0„CÒ§Lè£Å—"—¸aᾯòã+ÝC™¡ÖÇy¼îUEÁë5m(×Nÿ’‡ïªò©€ÔyR­WNOÍ'Ξ'©TiÊÊ›~—…D·ÐŒr|]û»~šìŸˆÑ˜$í†ÚU1,ê±5&¦"‰änFo¤W‹Jo!.ΖÒû~é°À :pöÚ‰¾éê„EN8zÎ÷Ðrèõ­òPa<¾”fÅæ?©©~˜b£˜´cŒcFaÝ!@þ€°ÒXª£0IvþaÒÕ÷ ¤¯9“ƒD&I}â@QjÎ,‚ݺpù=bxOqÈL^,–¯wøˆ¦Íb“(¸SlÙŸü«ûrÀf.òvÄ^àGFû²-P»P’~Œ/QlÖÖ
WÁ;¢ð'0Á—©RÐf2 q~3(ßSëO§„.ÌH-°Áå‡Haʉp4T	:¨v«ú9\CdZ?1˜¥µ#ß´‘ª:pP¹ÈÍ4\]¶¸djí•pE¢UÇ;f˜ÝjG˜¨`ç2‚}„IJp,D)Ö.¾Ý¯nc1y 8Æ~”š‡ Æ°2ÏŠÅ}I<@'¸Çbý¤AÙ³;AË ÒŒÜЈó+ép¡ËÌéÎ$*èp¥
Õ]è3“¦+“hê“
|ò˜‚ zòB½O¦Ñ•aV—/Ö`r¡	ݬm&‚D8eG¾”hR
‡)̉¤='ì|32°ç÷!%O_„ô{ JòÀE¢¦¶qyà‚oÎÿ¸ßâ[©Œ[ò$W‚ü…_VÄXè&Ã2ª@;,€9
\jR6ý=цO×6±ô37ó&&Z
ØÂYïaŽX–¥*Ôkƒ¢B+Ж½Ÿ}(Aye™ÖÿU0v]Ýcw›9¸îÎg’òwd0¦*ÎßÕ‚üë©RX¹
å!Pk`ÁÕ7FÙjAU°ƒNü¶	Ì Å‚ÅLa²G©Î˹Ô-'š‹1û‰±óò¼€øDzí’;d~S¨cêV\ÉÿJ9§ÔþEìHà«À	{ÍI;ìpÖn5÷¨xE1‹ý¿aÀE &©X‚’Lü¦b":™)ÔŒ¿¶HæÆ Í
Ó¦å&5÷°×¸ýaWùÀ̼E{¬Ü’߃û€"xìë×éË€Ê „ÏŠ–ªŽX§ÑœQçÀbG‚éüØÕÁ6;öbÚ&~zmpàZmN§DìEbädZí§©¬Å¢ ·µmfÁMwekg JíV°°•ÓI,¤°¤!ŠÅI]ñÁ{‡òÞ¥~ùп;4ÿPK:îà5  0!  PK  UMB               META-INF/manifest.xml­“Mnà F÷9…Ŷ2´YUÈv‘z‚ô $,¢øöÅ‘òÓ6©ê4;Í|ï1Õjïl±ƒÇš½ðgV jßìkö¾y+_ÙªYTN¡é ’<Š<‡ñTÖ,”^E%*Q’–~ l½Nä×~y ª%kÅ™×ežã¹ÛAkTIã 5SÃ`V”§Å[~Pà—dN°§[¬óu—¬-EÛš	&f9\OY{ìLŸÂÁ-.…Ò,äÒ¡S“Z^ÊLÖ÷÷Æ„S
O†ëKàßœf§MŠÉùjxæÓÿÚîé&âxÇs×CÝ#âê¿Ç: uGèõ°Í6¹TÆFAÇ#°ì"€(ÿýÓ**ñãë7ŸPKÂô6  5  PK     UMB^Æ2'   '                    mimetypePK     UMB                         M   Configurations2/statusbar/PK   UMB           '             …   Configurations2/accelerator/current.xmlPK     UMB                         Ü   Configurations2/floater/PK     UMB                           Configurations2/popupmenu/PK     UMB                         J  Configurations2/progressbar/PK     UMB                         „  Configurations2/toolpanel/PK     UMB                         ¼  Configurations2/menubar/PK     UMB                         ò  Configurations2/toolbar/PK     UMB                         (  Configurations2/images/Bitmaps/PK   UMBÔ^ëí  ¯               e  content.xmlPK   UMB´÷hÒ  ƒ               ‹	  manifest.rdfPK   UMBýÛI–  ,  
             Ê
  styles.xmlPK     UMB.8Ì&Ÿ  Ÿ               !  meta.xmlPK   UMBøNp°â'  •)               æ  Thumbnails/thumbnail.pngPK   UMB:îà5  0!               ?  settings.xmlPK   UMBÂô6  5               }D  META-INF/manifest.xmlPK      p  ÙE